package systems.archide.scanuploader;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableScheduling
@SpringBootApplication(scanBasePackages = { "systems.archide.core", "com.cocentris.spring.rest.security",
		"com.cocentris.orm", "systems.archide.scanuploader" })
public class Cli {
	
	public static String scanPath;
	
	public static void main(String[] args) {
		Properties prop = new Properties();
		FileInputStream input = null;
		try {
            input = new FileInputStream("config.ini");
            prop.load(input);
            scanPath = prop.getProperty("scan.path");
        } catch (IOException ex) {
            ex.printStackTrace();
        } finally {
            if (input != null) {
                try {
                    input.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
		SpringApplication.run(Cli.class, args);
	}

}
